using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Security.Cryptography;
using UnityEngine;

public class EversoulModelBuilder : ModelBuilder
{
    public static EversoulModelBuilder Instance => GetInstance<EversoulModelBuilder>();

    public ObjectContainer SpawnCharacter(CharacterAsset asset)
    {
        EversoulMain.Instance.PrepareForLoad();
        var container = ObjectContainer.Create<EversoulCharacterContainer>("Character");
        var handle = UIHandle.CreateAsChild<UIHandleMain>(container.transform).Init(container);
        StartCoroutine(container.Build(asset));
        return container;
    }
}
